@import "../../constants/base.css";

.inputBox {
  position: relative;
  margin-bottom: 16px;
}

.inputBox > input {
  height: 56px;
  padding: 8px 16px;
  border-radius: 6px 6px 0px 0px;
  background-color: #f2f3fa;
  border: none;
  outline: none;
  font-size: 16px;
  width: -webkit-fill-available;
}

.inputBox :is(label, span) {
  position: absolute;
  top: 50%;
  translate: 0 -50%;
  pointer-events: none;
  color: var(--primaryColor);
}
.inputBox > label {
  left: 10px;
  translate: 0 -50%;
  font-size: 16px;
  font-weight: bold;
  padding: 4px 8px;
}

.inputBox > span {
  right: 16px;
}
.inputBox > :is(input:focus, .has-value) ~ label {
  translate: 0 -30px;
  font-size: 12px;
  font-weight: bold;
}
input[type="date"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-calendar-picker-indicator {
  display: none;
  -webkit-appearance: none;
}
